{
	"source": "ready-up.mjs",
	"type": "module",
	"engines": {
		"node": ">=16.0.0"
	},
	"devDependencies": {
		"@league-of-foundry-developers/foundry-vtt-types": "^9.280.0",
		"chokidar": "^3.5.3",
		"esbuild": "^0.17.3",
		"eslint": "^8.32.0",
		"eslint-plugin-optimize-regex": "^1.2.1",
		"husky": "^8.0.3",
		"lint-staged": "^13.1.0",
		"prettier": "^2.8.3",
		"sass": "^1.57.1"
	},
	"lint-staged": {
		"*.mjs": "eslint --cache --fix",
		"*.json": "prettier --write",
		"*.scss": "prettier --write",
		"*.md": "prettier --write"
	},
	"scripts": {
		"lint:js": "npx eslint . --ext js,mjs --cache",
		"lint:js:fix": "npx eslint . --ext js,mjs --cache --fix",
		"prerelease": "npm run build",
		"release": "npm run build && node ./scripts/release.mjs",
		"build": "npm run js && npm run sass && npm run sync",
		"js": "node ./scripts/build.mjs",
		"js:watch": "node ./scripts/build.mjs --watch",
		"sync": "node ./scripts/sync-files.mjs",
		"sync:watch": "node ./scripts/sync-files.mjs --watch",
		"sass": "npx sass -s compressed ./scss/ready-up.scss ./dist/ready-up.css",
		"sass:watch": "npx sass -s compressed --watch ./scss/ready-up.scss ./dist/ready-up.css"
	},
	"private": true
}
